import React from 'react';
import PropTypes from 'prop-types';

const Iota = props => {
  const { color, size, ...otherProps } = props;
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 226.8 226.8"
      width={size}
      height={size}
      fill={color}
      {...otherProps}
    >
      <circle cx="131.285" cy="135.797" r="6.026" />
      <circle cx="144.732" cy="123.277" r="6.494" />
      <circle cx="156.2" cy="105.551" r="7.436" />
      <circle cx="163.636" cy="81.51" r="10.667" />
      <circle cx="167.749" cy="52.294" r="11.549" />
      <circle cx="164.518" cy="18.372" r="14.281" />
      <ellipse
        transform="rotate(-76.597 145.77 148.278)"
        cx="145.778"
        cy="148.283"
        rx="5.164"
        ry="5.164"
      />
      <ellipse
        transform="rotate(-76.597 159.466 140.512)"
        cx="159.475"
        cy="140.518"
        rx="5.565"
        ry="5.565"
      />
      <ellipse
        transform="rotate(-76.597 172.547 128.015)"
        cx="172.556"
        cy="128.019"
        rx="6.372"
        ry="6.372"
      />
      <ellipse
        transform="rotate(-76.597 183.52 109.451)"
        cx="183.531"
        cy="109.454"
        rx="9.141"
        ry="9.141"
      />
      <ellipse
        transform="rotate(-76.597 192.754 85.914)"
        cx="192.763"
        cy="85.917"
        rx="9.897"
        ry="9.897"
      />
      <ellipse
        transform="rotate(-76.597 196.8 56.995)"
        cx="196.809"
        cy="56.996"
        rx="12.239"
        ry="12.239"
      />
      <ellipse
        transform="rotate(-64.475 158.122 161.141)"
        cx="158.118"
        cy="161.14"
        rx="4.363"
        ry="4.362"
      />
      <ellipse
        transform="rotate(-64.475 170.813 157.156)"
        cx="170.809"
        cy="157.156"
        rx="4.702"
        ry="4.702"
      />
      <ellipse
        transform="rotate(-64.475 183.837 149.153)"
        cx="183.83"
        cy="149.153"
        rx="5.383"
        ry="5.383"
      />
      <ellipse
        transform="rotate(-64.475 196.193 135.766)"
        cx="196.187"
        cy="135.766"
        rx="7.722"
        ry="7.722"
      />
      <ellipse
        transform="rotate(-64.475 207.993 117.962)"
        cx="207.988"
        cy="117.962"
        rx="8.361"
        ry="8.361"
      />
      <ellipse
        transform="rotate(-64.475 216.463 94.793)"
        cx="216.459"
        cy="94.793"
        rx="10.339"
        ry="10.339"
      />
      <ellipse
        transform="rotate(-30 132.584 92.34)"
        cx="132.593"
        cy="92.337"
        rx="6.026"
        ry="6.026"
      />
      <ellipse
        transform="rotate(-30 115.02 86.955)"
        cx="115.027"
        cy="86.951"
        rx="6.494"
        ry="6.494"
      />
      <ellipse
        transform="rotate(-30 93.937 85.886)"
        cx="93.942"
        cy="85.883"
        rx="7.436"
        ry="7.436"
      />
      <ellipse
        transform="rotate(-30 69.399 91.466)"
        cx="69.404"
        cy="91.464"
        rx="10.667"
        ry="10.667"
      />
      <ellipse
        transform="rotate(-30 42.041 102.511)"
        cx="42.046"
        cy="102.51"
        rx="11.549"
        ry="11.549"
      />
      <ellipse
        transform="rotate(-30 14.278 122.269)"
        cx="14.284"
        cy="122.269"
        rx="14.281"
        ry="14.281"
      />
      <ellipse
        transform="rotate(-16.596 136.172 73.548)"
        cx="136.16"
        cy="73.543"
        rx="5.164"
        ry="5.164"
      />
      <ellipse
        transform="rotate(-16.596 122.6 65.57)"
        cx="122.586"
        cy="65.563"
        rx="5.565"
        ry="5.565"
      />
      <ellipse
        transform="rotate(-16.596 105.234 60.49)"
        cx="105.222"
        cy="60.484"
        rx="6.372"
        ry="6.372"
      />
      <ellipse
        transform="rotate(-16.596 83.665 60.267)"
        cx="83.657"
        cy="60.262"
        rx="9.141"
        ry="9.141"
      />
      <ellipse
        transform="rotate(-16.596 58.663 64.042)"
        cx="58.657"
        cy="64.035"
        rx="9.897"
        ry="9.897"
      />
      <ellipse
        transform="rotate(-16.596 31.592 75)"
        cx="31.588"
        cy="74.992"
        rx="12.239"
        ry="12.239"
      />
      <ellipse
        transform="rotate(-4.44 141.232 56.37)"
        cx="141.125"
        cy="56.427"
        rx="4.362"
        ry="4.362"
      />
      <ellipse
        transform="rotate(-4.44 131.432 47.374)"
        cx="131.328"
        cy="47.429"
        rx="4.702"
        ry="4.702"
      />
      <ellipse
        transform="rotate(-4.474 117.963 40.176)"
        cx="117.887"
        cy="40.154"
        rx="5.383"
        ry="5.383"
      />
      <ellipse
        transform="rotate(-4.474 100.18 36.166)"
        cx="100.115"
        cy="36.146"
        rx="7.722"
        ry="7.722"
      />
      <ellipse
        transform="rotate(-4.474 78.844 34.846)"
        cx="78.797"
        cy="34.828"
        rx="8.361"
        ry="8.361"
      />
      <ellipse
        transform="rotate(-4.474 54.53 39.098)"
        cx="54.496"
        cy="39.076"
        rx="10.339"
        ry="10.339"
      />
      <ellipse
        transform="rotate(-60 94.518 114.329)"
        cx="94.517"
        cy="114.325"
        rx="6.026"
        ry="6.026"
      />
      <ellipse
        transform="rotate(-60 98.637 132.235)"
        cx="98.637"
        cy="132.231"
        rx="6.494"
        ry="6.494"
      />
      <ellipse
        transform="rotate(-60 108.254 151.03)"
        cx="108.254"
        cy="151.025"
        rx="7.436"
        ry="7.436"
      />
      <ellipse
        transform="rotate(-60 125.357 169.49)"
        cx="125.356"
        cy="169.486"
        rx="10.667"
        ry="10.667"
      />
      <ellipse
        transform="rotate(-60 148.602 187.662)"
        cx="148.601"
        cy="187.655"
        rx="11.549"
        ry="11.549"
      />
      <ellipse
        transform="rotate(-60 179.595 201.825)"
        cx="179.594"
        cy="201.818"
        rx="14.281"
        ry="14.281"
      />
      <ellipse
        transform="rotate(-46.597 76.46 120.638)"
        cx="76.457"
        cy="120.633"
        rx="5.164"
        ry="5.164"
      />
      <ellipse
        transform="rotate(-46.597 76.337 136.384)"
        cx="76.334"
        cy="136.378"
        rx="5.565"
        ry="5.565"
      />
      <ellipse
        transform="rotate(-46.597 80.62 153.962)"
        cx="80.618"
        cy="153.956"
        rx="6.372"
        ry="6.372"
      />
      <ellipse
        transform="rotate(-46.597 91.212 172.75)"
        cx="91.208"
        cy="172.743"
        rx="9.141"
        ry="9.141"
      />
      <ellipse
        transform="rotate(-46.597 106.98 192.515)"
        cx="106.976"
        cy="192.507"
        rx="9.897"
        ry="9.897"
      />
      <ellipse
        transform="rotate(-46.597 130.004 210.48)"
        cx="129.999"
        cy="210.471"
        rx="12.239"
        ry="12.239"
      />
      <ellipse
        transform="rotate(-34.477 59.151 124.887)"
        cx="59.153"
        cy="124.892"
        rx="4.363"
        ry="4.362"
      />
      <ellipse
        transform="rotate(-34.477 56.256 137.868)"
        cx="56.258"
        cy="137.875"
        rx="4.701"
        ry="4.701"
      />
      <ellipse
        transform="rotate(-34.477 56.675 153.145)"
        cx="56.678"
        cy="153.153"
        rx="5.383"
        ry="5.383"
      />
      <ellipse
        transform="rotate(-34.477 62.09 170.539)"
        cx="62.093"
        cy="170.548"
        rx="7.722"
        ry="7.722"
      />
      <ellipse
        transform="rotate(-34.477 71.607 189.659)"
        cx="71.611"
        cy="189.669"
        rx="8.361"
        ry="8.361"
      />
      <ellipse
        transform="rotate(-34.477 87.436 208.578)"
        cx="87.441"
        cy="208.59"
        rx="10.339"
        ry="10.339"
      />
    </svg>
  );
};

Iota.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number]),
};

Iota.defaultProps = {
  color: 'currentColor',
  size: '24',
};

export default Iota;
